%define upstream_name    Modern-Perl
%define upstream_version 1.20150127

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Enable all of the features of Modern Perl with one command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Modern/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(autodie) >= 2.220.0
BuildRequires: perl(feature)
BuildRequires: perl(mro)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.201.501.270-3.mga6
+ Revision: 1029907
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.201.501.270-2.mga6
+ Revision: 968418
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 1.201.501.270-1.mga6
+ Revision: 852460
- update to 1.20150127

* Sun Oct 19 2014 umeabot <umeabot> 1.201.401.70-4.mga5
+ Revision: 788891
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.201.401.70-3.mga5
+ Revision: 740425
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.201.401.70-2.mga5
+ Revision: 685409
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.201.401.70-1.mga5
+ Revision: 588488
- update to 1.20140107

* Fri Oct 18 2013 umeabot <umeabot> 1.201.211.30-3.mga4
+ Revision: 512896
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.201.211.30-2.mga3
+ Revision: 369754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.201.211.30-1.mga3
+ Revision: 315125
- update to 1.20121103

* Tue Jun 05 2012 jquelin <jquelin> 1.201.205.210-1.mga3
+ Revision: 255142
- update to 1.20120521

* Thu Feb 23 2012 jquelin <jquelin> 1.201.201.300-1.mga2
+ Revision: 213020
- update to 1.20120130

* Wed Jan 25 2012 jquelin <jquelin> 1.201.201.230-1.mga2
+ Revision: 200917
- update to 1.20120123

* Fri Jan 06 2012 jquelin <jquelin> 1.201.201.60-1.mga2
+ Revision: 192579
- update to 1.20120106

* Thu Jan 05 2012 jquelin <jquelin> 1.201.201.50-1.mga2
+ Revision: 191202
- update to 1.20120105

* Tue Jan 18 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 22625
- cleaning spec file
- imported package perl-Modern-Perl

